# Uses of Interface
jdk.incubator.foreign.VaList.Builder

Packages that use VaList.Builder
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of VaList.Builder in jdk.incubator.foreign

Methods in jdk.incubator.foreign that return VaList.Builder
Modifier and Type
Method
Description
`VaList.Builder`
VaList.Builder.`addVarg(GroupLayout layout, MemorySegment value)`
Writes a `MemorySegment` value, with given layout, to the variable argument list being constructed.
`VaList.Builder`
VaList.Builder.`addVarg(ValueLayout.OfAddress layout, Addressable value)`
Writes an `Addressable` value to the variable argument list being constructed.
`VaList.Builder`
VaList.Builder.`addVarg(ValueLayout.OfDouble layout, double value)`
Writes a `double` value to the variable argument list being constructed.
`VaList.Builder`
VaList.Builder.`addVarg(ValueLayout.OfInt layout, int value)`
Writes an `int` value to the variable argument list being constructed.
`VaList.Builder`
VaList.Builder.`addVarg(ValueLayout.OfLong layout, long value)`
Writes a `long` value to the variable argument list being constructed.
Method parameters in jdk.incubator.foreign with type arguments of type VaList.Builder
Modifier and Type
Method
Description
`static VaList`
VaList.`make(Consumer<VaList.Builder> actions, ResourceScope scope)`
Constructs a new variable argument list using a builder (see `VaList.Builder`), with a given resource scope.